\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Triangulation

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types
CGAL::Weighted_point_mapper_2< Traits > Struct Template Reference
2D Triangulation Reference

`#include <CGAL/Regular_triangulation_2.h>`

## Inherits from

Traits.

## Definition

Helper class used by `Regular_trangulation_2` to pass a weighted point as a point to its based class `Triangulation_2`.

Template Parameters

  Traits | must be a model of the concept `RegularTriangulationTraits_2`

## Public Types
typedef Traits::Weighted_point_2 | Point_2